(function( $ ) {
	'use strict';

	$(document).ready(function() {
		// localStorage.clear();
		var variationsTable = $('#woocommerce-variations-table.datatables');
		if(variationsTable.length > 0) {
			var options = variationsTable.data('options');

			if(options.filtering == "1") {
				options.initComplete = function () {
					// console.log(options.filteringColumns);
		            this.api().columns().every( function () {
		                var column = this;
		                var header = $(column.header());
		                if(header[0].id == "variations-table-header-im" || header[0].id == "variations-table-header-ca") {
		                	return;
		                }
		                var select = $('<select><option value="">Show All</option></select>')
		                    .appendTo( $(column.header()) )
		                    .on( 'change', function () {
		                        var val = $.fn.dataTable.util.escapeRegex(
		                            $(this).val()
		                        );
		 
		                        column
		                            .search( val ? '^'+val+'$' : '', true, false )
		                            .draw();
		                    } );

							column.data().unique().sort().each( function ( d, j ) {
								var d = d.replace(/<(?:.|\n)*?>/gm, '');
							    if(column.search() === '^'+d+'$'){
							        select.append( '<option value="'+d+'" selected="selected">'+d+'</option>' )
							    } else {
							        select.append( '<option value="'+d+'">'+d+'</option>' )
							    }
							} );
		            } );
		        };
	        }

			variationsTable.DataTable(options);
		}

	});

})( jQuery );
